
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Web 在线文件管理器学习笔记与总结（10）查看文件夹中的内容 / 憋错料</title>

    <meta name="description" content="Web 在线文件管理器学习笔记与总结（10）查看文件夹中的内容 ① 读取文件夹大小 a. 封装计算文件夹大小的函数 b.  打开文件夹 c. 循环判断文件夹下的内容是文件还是文件夹,如果是文件,则累积相加文件的大小:如果是文件夹,则递归调用该函数 注意两个问题: a. 在计算每个文件夹大小之前,应该清空变量 $size,否则文件夹大小会累加(index.php) &lt;td&gt;&lt;?php $size = 0; echo transByte(dirSize($p));?&gt;&lt;/td&gt; b. 在计算文件夹大小的方法中,$size 应该 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Web 在线文件管理器学习笔记与总结（10）查看文件夹中的内容</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>① 读取文件夹大小</p>
<p>a. 封装计算文件夹大小的函数</p>
<p>b. &nbsp;打开文件夹</p>
<p>c. 循环判断文件夹下的内容是文件还是文件夹，如果是文件，则累积相加文件的大小；如果是文件夹，则递归调用该函数</p>
<p>注意两个问题：</p>
<p>a. 在计算每个文件夹大小之前，应该清空变量 $size，否则文件夹大小会累加（index.php）</p>
<pre>&lt;td&gt;&lt;?php $size = 0; echo transByte(dirSize($p));?&gt;&lt;/td&gt;</pre>
<p>b. 在计算文件夹大小的方法中，$size 应该设置为全局变量（dir.func.php）</p>
<pre>//得到文件夹大小
function dirSize($path){
    $handle = opendir($path);
    $size = 0;
    //static $size;
    global $size;
    while(($item = readdir($handle)) !== false){
        if($item != ‘.‘ &amp;&amp; $item != ‘..‘){
            if(is_file($path.‘/‘.$item)){
                $size += filesize($path.‘/‘.$item);
            }else if(is_dir($path.‘/‘.$item)){
                dirSize($path.‘/‘.$item);
                //递归的另一种写法
                //$func = __FUNCTION__;
                //$func($path.‘/‘.$item);
            }
        }
    }
    closedir($handle);
    return $size;
}</pre>
<p>index.php:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>&lt;?php
require ‘dir.func.php‘;
require ‘file.func.php‘;
require ‘common.func.php‘;
$path = ‘file‘;
$info = readDirectory($path);

$act = @$_REQUEST[‘act‘];
$filename = @$_REQUEST[‘filename‘];
//跳转变量
$redirect = "index.php?path={$path}";
if($act == ‘createFile‘){
    //创建文件
    $mes = createFile($path.‘/‘.$filename);
    alertMes($mes,$redirect);
}else if($act == ‘showContent‘){
//查看文件内容
    $content=file_get_contents($filename);
    //echo "&lt;textarea readonly=‘readonly‘ cols=‘100‘ rows=‘10‘&gt;{$content}&lt;/textarea&gt;";
    //高亮显示PHP代码
    //高亮显示字符串中的PHP代码
    if(strlen($content)){
    $newContent=highlight_string($content,true);
    //高亮显示文件中的PHP代码
    //highlight_file($filename);
    $str=&lt;&lt;&lt;EOF
    &lt;table width=‘100%‘ bgcolor=‘pink‘ cellpadding=‘5‘ cellspacing="0" &gt;
        &lt;tr&gt;
            &lt;td&gt;$newContent&lt;/td&gt;
        &lt;/tr&gt;
    &lt;/table&gt;
EOF;
        echo $str;
    }else{
        alertMes("文件没有内容，请编辑再查看！",$redirect);
    }
}else if($act == ‘editContent‘){
    $content = file_get_contents($filename);
    $str=&lt;&lt;&lt;EOF
    &lt;form action=‘index.php?act=doEdit‘ method=‘post‘&gt;
    &lt;textarea name=‘content‘  cols=‘100‘ rows=‘10‘&gt;$content&lt;/textarea&gt;&lt;/br&gt;
    &lt;input type=‘hidden‘ name=‘filename‘ value=‘{$filename}‘&gt;
    &lt;input type=‘submit‘ value=‘修改文件内容‘&gt;
    &lt;/form&gt;
EOF;
    echo $str;
}else if($act == ‘doEdit‘){
    //修改文件内容
    $content = $_POST[‘content‘];
    if(file_put_contents($filename, $content)){
        $mes = ‘文件修改成功‘;
    }else if(!$content){
        $mes = ‘文件内容被清空‘;
    }else{
        $mes = ‘文件修改失败‘;
    }
    alertMes($mes,$redirect);
}else if($act == ‘renameFile‘){
    //重命名文件
    $str = &lt;&lt;&lt;EOF
    &lt;form action=‘index.php?act=doRename‘ method=‘post‘&gt;
        请填写新文件名：&lt;input type="text" name="newname" placeholder="重命名"&gt;
        &lt;input type="hidden" name="filename" value=‘$filename‘&gt;
    &lt;input type=‘submit‘ value=‘重命名‘&gt;
    &lt;/form&gt;
EOF;
echo $str;
}else if($act == ‘doRename‘){
    //实现重命名操作
    $newname = $_POST[‘newname‘];
    $mes = renameFile($filename,$newname);
    alertMes($mes,$redirect);
}else if($act == ‘delFile‘){
    $mes = delFile($filename);
    alertMes($mes,$redirect);
}else if($act == ‘downFile‘){
    downFile($filename);
}
?&gt;
&lt;!DOCTYPE html&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta charset="UTF-8"&gt;
&lt;title&gt;Insert title here&lt;/title&gt;
&lt;link rel="stylesheet" href="cikonss.css" /&gt;
&lt;link rel="stylesheet" href="common.css" /&gt;
&lt;script src="jquery-1.8.3.min.js"&gt;&lt;/script&gt;
&lt;script src="jquery-ui-1.11.3/jquery-ui.min.js"&gt;&lt;/script&gt;
&lt;link rel="stylesheet" href="jquery-ui-1.11.3/jquery-ui.min.css" /&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div id="showDetail" style="display:none"&gt;&lt;img src=""  id="showImg"&gt;&lt;/div&gt;
&lt;h1&gt;在线文件管理器&lt;/h1&gt;
&lt;div id="top"&gt;
    &lt;ul id="navi"&gt;
        &lt;li&gt;&lt;a href="index.php" title="主目录"&gt;&lt;span style="margin-left: 8px; margin-top: 0px; top: 4px;" class="icon icon-small icon-square"&gt;&lt;span class="icon-home"&gt;&lt;/span&gt;&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="#" onclick="show(‘createFile‘)" title="新建文件" &gt;&lt;span style="margin-left: 8px; margin-top: 0px; top: 4px;" class="icon icon-small icon-square"&gt;&lt;span class="icon-file"&gt;&lt;/span&gt;&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="#" title="新建文件夹"&gt;&lt;span style="margin-left: 8px; margin-top: 0px; top: 4px;" class="icon icon-small icon-square"&gt;&lt;span class="icon-folder"&gt;&lt;/span&gt;&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="#" title="上传文件"&gt;&lt;span style="margin-left: 8px; margin-top: 0px; top: 4px;" class="icon icon-small icon-square"&gt;&lt;span class="icon-upload"&gt;&lt;/span&gt;&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;
        &lt;li&gt;&lt;a href="#" title="返回上级目录"&gt;&lt;span style="margin-left: 8px; margin-top: 0px; top: 4px;" class="icon icon-small icon-square"&gt;&lt;span class="icon-arrowLeft"&gt;&lt;/span&gt;&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;
    &lt;/ul&gt;
&lt;/div&gt;
&lt;form action="index.php" method="post" enctype="multipart/form-data"&gt;
&lt;table width=‘100%‘ border=‘1‘ cellpadding="5" cellspacing="0" bgcolor="#abcdef" align="center"&gt;
    &lt;tr id="createFolder"  style="display:none;"&gt;
        &lt;td&gt;请输入文件夹名称&lt;/td&gt;
        &lt;td &gt;
            &lt;input type="text" name="dirname" /&gt;
            &lt;input type="hidden" name="path"  value="&lt;?php echo $path;?&gt;"/&gt;
            &lt;input type="submit"  name="act"  value="创建文件夹"/&gt;
        &lt;/td&gt;
    &lt;/tr&gt;
    &lt;tr id="createFile"  style="display:none;"&gt;
        &lt;td&gt;请输入文件名称&lt;/td&gt;
        &lt;td &gt;
            &lt;input type="text"  name="filename" /&gt;
            &lt;input type="hidden" name="path" value="&lt;?php echo $path;?&gt;"/&gt;
            &lt;input type="hidden" name=‘act‘ value=‘createFile‘/&gt;
            &lt;input type="submit" value="创建文件" /&gt;
        &lt;/td&gt;
    &lt;/tr&gt;
    &lt;tr id="uploadFile" style="display:none;"&gt;
        &lt;td &gt;请选择要上传的文件&lt;/td&gt;
        &lt;td &gt;&lt;input type="file" name="myFile" /&gt;
            &lt;input type="submit" name="act" value="上传文件" /&gt;
        &lt;/td&gt;
    &lt;/tr&gt;
    &lt;tr align="center"&gt;
        &lt;td&gt;编号&lt;/td&gt;
        &lt;td&gt;名称&lt;/td&gt;
        &lt;td&gt;类型&lt;/td&gt;
        &lt;td&gt;大小&lt;/td&gt;
        &lt;td&gt;可读&lt;/td&gt;
        &lt;td&gt;可写&lt;/td&gt;
        &lt;td&gt;可执行&lt;/td&gt;
        &lt;td&gt;创建时间&lt;/td&gt;
        &lt;td&gt;修改时间&lt;/td&gt;
        &lt;td&gt;访问时间&lt;/td&gt;
        &lt;td&gt;操作&lt;/td&gt;
    &lt;/tr&gt;
    &lt;?php
        if($info[‘file‘]){
            $i = 1;
            foreach($info[‘file‘] as $val){
                $p = $path.‘/‘.$val;
    ?&gt;
    &lt;tr align="center"&gt;
        &lt;td&gt;&lt;?php echo $i;?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo $val;?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = filetype($p) == ‘file‘?‘file_ico.png‘:‘folder_ico.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;"  title=‘文件‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo transByte(filesize($p));?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = is_readable($p)?‘correct.png‘:‘error.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;" width="32"  title=‘可读‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = is_writeable($p)?‘correct.png‘:‘error.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;" width="32"  title=‘可写‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = is_executable($p)?‘correct.png‘:‘error.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;" width="32"  title=‘可写‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo date(‘Y-m-d H:i:s‘,filectime($p));?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo date(‘Y-m-d H:i:s‘,filemtime($p));?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo date(‘Y-m-d H:i:s‘,fileatime($p));?&gt;&lt;/td&gt;
        &lt;td&gt;
            &lt;?php
                //得到文件扩展名
                $ext = strtolower(end(explode(‘.‘,$val)));
                $imageExt = array(‘gif‘,‘jpg‘,‘png‘,‘jpeg‘);
                if(in_array($ext, $imageExt)){ ?&gt;
                &lt;a href="javascript:void(0)" onclick=‘showDetail("&lt;?php echo $val;?&gt;","&lt;?php echo $p;?&gt;")‘ title=‘查看‘&gt;&lt;img src="images/show.png" width="32" &gt;&lt;/a&gt;

            &lt;?php    }else{ ?&gt;
                &lt;a href="index.php?act=showContent&amp;filename=&lt;?php echo $p;?&gt;" title=‘查看‘&gt;&lt;img src="images/show.png" width="32" &gt;&lt;/a&gt;
            &lt;?php
                }
            ?&gt;

            &lt;a href="index.php?act=editContent&amp;filename=&lt;?php echo $p;?&gt;" title=‘修改‘&gt;&lt;img src="images/edit.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="index.php?act=renameFile&amp;filename=&lt;?php echo $p;?&gt;" title=‘重命名‘&gt;&lt;img src="images/rename.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="" title=‘复制‘&gt;&lt;img src="images/copy.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="" title=‘剪切‘&gt;&lt;img src="images/cut.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="javascript:void(0)" onclick="delFile(‘&lt;?php echo $p;?&gt;‘)" title=‘删除‘&gt;&lt;img src="images/delete.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="index.php?act=downFile&amp;filename=&lt;?php echo $p;?&gt;" title=‘下载‘&gt;&lt;img src="images/download.png" width="32" &gt;&lt;/a&gt;
        &lt;/td&gt;
    &lt;/tr&gt;
    &lt;?php
                $i++;
            }
        }
    ?&gt;
    &lt;!--读取目录--&gt;
    &lt;?php
        if($info[‘dir‘]){
            foreach($info[‘dir‘] as $val){
                $p = $path.‘/‘.$val;
    ?&gt;
    &lt;tr align="center"&gt;
        &lt;td&gt;&lt;?php echo $i;?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo $val;?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = filetype($p) == ‘file‘?‘file_ico.png‘:‘folder_ico.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;"  title=‘文件‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $size = 0; echo transByte(dirSize($p));?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = is_readable($p)?‘correct.png‘:‘error.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;" width="32"  title=‘可读‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = is_writeable($p)?‘correct.png‘:‘error.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;" width="32"  title=‘可写‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php $src = is_executable($p)?‘correct.png‘:‘error.png‘;?&gt;&lt;img src="images/&lt;?php echo $src;?&gt;" width="32"  title=‘可写‘&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo date(‘Y-m-d H:i:s‘,filectime($p));?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo date(‘Y-m-d H:i:s‘,filemtime($p));?&gt;&lt;/td&gt;
        &lt;td&gt;&lt;?php echo date(‘Y-m-d H:i:s‘,fileatime($p));?&gt;&lt;/td&gt;
        &lt;td&gt;
            &lt;a href="javascript:void(0)" onclick=‘showDetail("&lt;?php echo $val;?&gt;","&lt;?php echo $p;?&gt;")‘ title=‘查看‘&gt;&lt;img src="images/show.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="index.php?act=editContent&amp;filename=&lt;?php echo $p;?&gt;" title=‘修改‘&gt;&lt;img src="images/edit.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="index.php?act=renameFile&amp;filename=&lt;?php echo $p;?&gt;" title=‘重命名‘&gt;&lt;img src="images/rename.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="" title=‘复制‘&gt;&lt;img src="images/copy.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="" title=‘剪切‘&gt;&lt;img src="images/cut.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="javascript:void(0)" onclick="delFile(‘&lt;?php echo $p;?&gt;‘)" title=‘删除‘&gt;&lt;img src="images/delete.png" width="32" &gt;&lt;/a&gt;
            &lt;a href="index.php?act=downFile&amp;filename=&lt;?php echo $p;?&gt;" title=‘下载‘&gt;&lt;img src="images/download.png" width="32" &gt;&lt;/a&gt;
        &lt;/td&gt;
    &lt;/tr&gt;
    &lt;?php
                $i++;
            }
        }
    ?&gt;
&lt;/table&gt;
&lt;/form&gt;
&lt;script src=‘common.js‘&gt;&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p></p>
<p>dir.func.php:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvQ29udHJhY3RlZEJsb2NrLmdpZg==.jpg" /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuYmxvZ3MuY29tL091dGxpbmluZ0luZGljYXRvcnMvRXhwYW5kZWRCbG9ja1N0YXJ0LmdpZg==.jpg" /></p>

<pre>&lt;?php
//遍历目录函数，只读取最外层
function readDirectory($path){
    $handle = opendir($path);
    while(($item = readdir($handle)) !== false){
        //.当前目录和..上级目录
        if($item != ‘.‘ &amp;&amp; $item != ‘..‘){
            if(is_file($path.‘/‘.$item)){    //文件
                $arr[‘file‘][] = $item;    //把文件保存至二维数组
            }
            if(is_dir($path.‘/‘.$item)){    //目录
                $arr[‘dir‘][] = $item; //把目录保存至二维数组
            }
        }
    }
    closedir($handle);
    return $arr;
}

//得到文件夹大小
function dirSize($path){
    $handle = opendir($path);
    $size = 0;
    //static $size;
    global $size;
    while(($item = readdir($handle)) !== false){
        if($item != ‘.‘ &amp;&amp; $item != ‘..‘){
            if(is_file($path.‘/‘.$item)){
                $size += filesize($path.‘/‘.$item);
            }else if(is_dir($path.‘/‘.$item)){
                dirSize($path.‘/‘.$item);
                //递归的另一种写法
                //$func = __FUNCTION__;
                //$func($path.‘/‘.$item);
            }
        }
    }
    closedir($handle);
    return $size;
}</pre>
<p></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 14:14:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Web 在线文件管理器学习笔记与总结（10）查看文件夹中的内容的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OkWZ83.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（19）上传文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dir.func.php 中添加方法: /* 上传文件 */ function uploadFile($fileInfo,$path,$allowExt = array('jpg','jpeg','png','gif','txt'),$maxSize = 10487560){ //判断错误号 if($fileInfo['error'] == 0){ //文件是否是http上传上来的 if(is_uploaded_file($fileInfo['tmp_name'])){ $uniqid = md			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jylmDM.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（5）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				① 读出要修改的文件的内容 ② 进行修改 ③ 将修改后的内容写进文件 index.php: &lt;?php require 'dir.func.php'; require 'file.func.php'; require 'common.func.php'; $path = 'file'; $info = readDirectory($path); $act = @$_REQUEST['act']; $filename = @$_REQUEST['filename']; //跳转变量 $redire			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YgleN4.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（2）显示文件列表（名称，类型，大小，可读，可写，可执行，创建时间，修改时间，访问时间）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要函数: filetype() 判断文件类型 filesize() 得到文件大小(字节) is_readable() 判断文件是否可读 is_writeable() 判断文件是否可写 is_executable() 判断文件是否可执行 filectime() 文件创建时间 filemtime() 文件修改时间 fileatime() 文件访问时间 file.func.php 封装文件操作的文件: &lt;?php /* 转换字节大小 */ function transByte($size){ $ar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rEkea0.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（13）重命名文件夹（14）复制文件夹</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(13)重命名文件夹 ① 重命名文件夹通过 rename($oldname,$newname) 实现 ② 检测文件夹名是否符合规范 ③ 检测当前目录中是否存在同名文件夹名称,如果不存在则重命名成功 index.php: &lt;?php require 'dir.func.php'; require 'file.func.php'; require 'common.func.php'; $path = 'file'; $path = @$_REQUEST['path'][email protected			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWALEG3.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（11）获取文件夹信息 （12）返回上一级操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(11)获取文件夹信息 文件夹没有修改操作. index.php: &lt;?php require 'dir.func.php'; require 'file.func.php'; require 'common.func.php'; $path = 'file'; $path = @$_REQUEST['path'][email protected]$_REQUEST['path']:$path; $info = readDirectory($path); if($info == NULL){ e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wREzQ0.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（4）查看文件内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				② 查看文件内容 a.通过 file_get_contents($filename) 得到文件内容 b.通过 highlight_string($string) 或者 highlight_file($filename) 显示内容.使用 PHP 内置的语法高亮器所定义的颜色,打印输出或者返回输出或者返回语法高亮版本的 PHP 代码 当使用 file_get_contents 读取(php)文件的内容并且显示在页面上,可以使用 &lt;textarea&gt;&lt;/textarea&gt; 包裹输出的内容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e5K9a0.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（1）初始文件以及获取首层目录信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在线文件管理器即使用浏览器管理和操作项目中的目录和文件 文件相关操作包括: 1.创建文件 2.判断文件的权限 3.文件的大小 4.文件的创建时间.修改时间.访问时间 5.查看文件的内容 6.修改文件的内容 7.删除文件 8.重命名文件 9.复制文件 10.剪切文件 11.上传文件 12.下载文件 文件夹相关操作: 1.新建文件夹 2.判断文件夹的权限 3.文件夹的大小 4.文件夹的创建时间.修改时间.访问时间 5.查看文件夹的内容 6.重命名文件夹 7.复制文件夹 8.剪切文件夹 9.文件夹的下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QwBDE0.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（3）创建文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				① 创建文件 a. 文件名的合法性:不能包含 \/:*&quot;&lt;&gt;| 等特殊字符 b. 检测当前目录下是否存在同名文件,如果存在提示请重命名后创建,如果不存在则直接创建 index.php: &lt;?php require 'dir.func.php'; require 'file.func.php'; require 'common.func.php'; $path = 'file'; $info = readDirectory($path); $act = @$_REQUEST['a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0k2xpdM.html" rel="bookmark">Web 在线文件管理器学习笔记与总结（6）jQuery UI 预览图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				① 查看文件内容,如果文件是图片类型,点击直接查看图片: ② 如果不是图片类型,显示文件中的内容: ③ 使用 jQuery UI 中的 Dialog 显示图片 a.引入: &lt;script src=&quot;jquery-1.8.3.min.js&quot;&gt;&lt;/script&gt; &lt;script src=&quot;jquery-ui-1.11.3/jquery-ui.min.js&quot;&gt;&lt;/script&gt; &lt;link rel=&quot;styl			</div>
		</article>
	</section>
			
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3wyOZM.html" rel="bookmark" class="title">关于SQL注入的五大报错注入函数</a>
					<div>
						~全部都以查user()为例子~ 1.floor()id = 1 and (select 1 from  (select count(*),concat(version(),floor(rand(0) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0azrk3.html" rel="bookmark" class="title">com&period;android&period;tools&period;build&colon;gradle&colon;X&period;XX&period;XX&colon;gradle&period;jar</a>
					<div>
						在使用Android Studio 这个IDE时,出现com.android.tools.build:gradle:X.XX.XX:gradle.jar 插件无法下载问题 可能的原因就是网速不好或者依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Myw55n3.html" rel="bookmark" class="title">scanf函数</a>
					<div>
						变量的内存:字节和地址:1.变量的存储单位是字节,每个字节都有存储地址.2.不同的数据大小占用的内存带下不同拥有的字节数也是不同的.变量的存储:1.存储是按照,先存储的放在地址教高的位置,优先存储的地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDk1b0.html" rel="bookmark" class="title">linux 根目录爆满但du看目录总占用不多问题</a>
					<div>
						df查看根目录磁盘空间爆满 [[email protected] logs]# df文件系统             1K-块      已用      可用 已用% 挂载点/dev/sda2     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35VnAK4.html" rel="bookmark" class="title">Abbott雅培</a>
					<div>
						美国雅培 美国雅培亚培 Abbott Laboratories 公司类型 上市公司 股票代号 NYSE:ABT 成立 1888年 创办人 美国医师华勒斯雅培(华勒斯亚培)(Wallace C. Abb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAWVJ0.html" rel="bookmark" class="title">&lbrack;BZOJ3696&rsqb;&lbrack;FJSC2014&rsqb;化合物（异或规则下的母函数）</a>
					<div>
						题目:http://hzwer.com/3708.html 分析: 类似树分治思想,设f[x][i]表示以x为根的子树的所有点中,与x的距离为i的点有多少个,这个可以预处理出来 然后我们考虑每颗子树对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJWwy4.html" rel="bookmark" class="title">Linked List Cycle（11）</a>
					<div>
						Given a linked list, determine if it has a cycle in it. Follow up: Can you solve it without using ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZYL1J0.html" rel="bookmark" class="title">软件测试入门</a>
					<div>
						一.软件测试理解 1.软件测试是一种有效提高软件质量的手段,但是软件质量不仅仅是测试出来的. 2.好的测试人员不仅要掌握各种测试技术和工具,还要具备丰富的编程技术和对BUG的敏感. 3.软件测试要早做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NA7N23.html" rel="bookmark" class="title">JS中定义对象的几种方式</a>
					<div>
						1.基于已有对象扩充其属性和方法 var Obj = new Object(); Obj.saysomething = function(){} Obj.name = &quot;&quot;; 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47Dvm9M.html" rel="bookmark" class="title">Java从零开始学六&lpar;选择结构&rpar;</a>
					<div>
						一. 程序的结构: 一般来说程序的结构包含有下面三种: 1.顺序结构 2.选择结构 3.循环结构 二.顺序结构 程序至上而下逐行执行,一条语句执行完之后继续执行下一条语句,一直到程序的末尾 三.选择结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrRYk4.html" rel="bookmark" class="title">2015 年个人计划</a>
					<div>
						1 带好团队,打造一流的数据团队,不仅仅是DBA团队,DA才是目标. 2 上线Gp.Hadoop.完善Oltp 到分布式数据库之间的CDC 变更,形成工具化 3 Sqler 工具能兼容 Mysql . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWZroM.html" rel="bookmark" class="title">Data Volume 之 bind mount - 每天5分钟玩转 Docker 容器技术（39）</a>
					<div>
						storage driver 和 data volume 是容器存放数据的两种方式,上一节我们学习了 storage driver,本节开始讨论 Data Volume. Data Volume 本质 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGlYBM.html" rel="bookmark" class="title">swift－02代码流程的控制</a>
					<div>
						// //  main.swift //  02-语句 // //  Created by wanghy on 15/8/9. //  Copyright (c) 2015年 wanghy. All  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vzb6a3.html" rel="bookmark" class="title">引入CSS文件的方式，以及link与&commat;import的区别</a>
					<div>
						一.引入css的方式 在HTML中引入css的方法主要有4种:行内式.内嵌式.链接式和导入式. 1.行内式 &lt;div style=&quot;background:yellow;&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MV71jd0.html" rel="bookmark" class="title">Charles本地配置假数据调试</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a1JPJ0.html" rel="bookmark" class="title">撬忧闪量涎fs0x6v869</a>
					<div>
						新华社瓦莱塔4月10日电(记者李拯宇 李佳)全国政协主席俞正声10日在前往非洲三国进行正式友好访问途中过境马耳他,在瓦莱塔会见马耳他议长法鲁贾. 俞正声说,中马保持长期友好关系,政治上相互信任,经济上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEWpK4.html" rel="bookmark" class="title">【转载】Project on Learning Deep Belief Nets</a>
					<div>
						Project on Learning Deep Belief Nets Deep Belief Nets (DBN's) will be explained in the lecture on Oc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjpWkM.html" rel="bookmark" class="title">远程桌面上的   本地资源图标无效</a>
					<div>
						远程服务器,本地资源的图标找不到 找到本地资源的D文件夹 一.可以直接我的电脑输入     “\\tsclient\d” 二.开始+f 键  输入 “\\tsclient\d”					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRJPv0.html" rel="bookmark" class="title">OSGi是什么：Java语言的动态模块系统（一）</a>
					<div>
						OSGi是什么 OSGi亦称做Java语言的动态模块系统,它为模块化应用的开发定义了一个基础架构.OSGi容器已有多家开源实现,比如Knoflerfish.Equinox和Apache的Felix.您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eEJgv0.html" rel="bookmark" class="title">括号序列计数 数形结合 卡特兰数</a>
					<div>
						问长度为 2n 的括号序列有多少个. 以 ( 的数量为 x 轴, ) 的数量为 y 轴, 建立坐标系. 初始状态对应 (0, 0) . 假设当前在 (x, y) , 如果下一位为 ( , 那么转移到  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
